arctica-greeter (0.99.8.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_use-update-alternatives-for-lightdm-greeter-selection.patch.
      Prefer update-alternatives over hard-coded config enablement of arctica-
      greeter as LightDM frontend.
  * debian/arctica-greeter.{prerm,postrm}:
    + Register as lightdm-greeter in alternatives system.
  * debian/NEWS:
    + Inform about registration with Debian's (update-)alternatives system.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 09 Jul 2024 10:25:03 +0200

arctica-greeter (0.99.8.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Fix copy+paste flaw in Comment: block.
  * debian/control:
    + Add to R: metacity.
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/:
    + Add 30_arctica-greeter-common-debian.gschema.override and default to
      window-manager='metacity'.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Jun 2024 12:20:07 +0200

arctica-greeter (0.99.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add dependencies for arctica-greeter-magnifier.
    + Promote from S: to R: (arctica-greeter):  ayatana-indicator-display.
  * debian/arctica-greeter.install:
    + Install arctica-greeter-magnifier into arctica-greeter bin:pkg.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 May 2024 20:23:58 +0200

arctica-greeter (0.99.5.0-2) unstable; urgency=medium

  * debian/control:
    + Add C: (arctica-greeter): lomiri-greeter. These two don't behave well when
      installed on the same system.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Feb 2024 17:05:11 +0100

arctica-greeter (0.99.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Enable two more theming bin:pkgs: emerald and homeworld.
  * debian/arctica-greeter.install:
    + Adjust to new greeter executable path (/usr/sbin instead of /usr/sbin/).
    + Install new polkit (>= 0.106) .rules file. (Closes: #1015154).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Feb 2024 14:22:44 +0100

arctica-greeter (0.99.4.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Drop Debian-bundled config files. Now part of upstream package.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attribution for debian/.
  * debian/control:
    + Add to S: ayatana-indicator-display. This should be tested more, only
      then promoting to R:.
    + Add to R: ayatana-indicator-a11y.
  * debian/rules:
    + Drop dh_auto_install override. Now all handled by autotools.
  * debian/patches:
    + Drop patches 0001 - 0008. All shipped upstream.
    + Drop 2001_dont-blur-logo.patch. Logo blurring is now configurable as
      gsetting.
  * debian/30_arctica-greeter-theme-debian.gschema.override:
    + Don't blur Debian logos.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 19:12:08 +0100

arctica-greeter (0.99.3.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 0008_better-positioning-of-logo.patch. Move logo in bottom-left
      corner one grid-size count away from the border.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Oct 2023 20:44:21 +0200

arctica-greeter (0.99.3.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004-src-session-list.vala-Treat-gnome-xorg-as-GNOME-and-.patch. Show
      correct icon for GNOME/X.Org session in session chooser list.
    + Add patches 0005, 0006 and 0007. Make PAM messages (esp. on login failure,
      password expiry, etc.) be displayed fully and in readable colors.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Aug 2023 07:57:07 +0200

arctica-greeter (0.99.3.0-2) unstable; urgency=medium

  * debian/patches:
    + [a11y] Add patches 0001 and 0002. Support configuring the onscreen
      keyboard theme via ArcticaGreeter's gsettings.
    + [a11y, i18n] Add patch 0003. Use 'Compact' OSK layout (instead of Small)
      which include special keys such as German Umlauts, etc.
  * debian/rules:
    + Hack for building with autoreconf on Debian 11 (copy README.md to README
      and remove it after the build).
  * debian/30_arctica-greeter-theme-debian.gschema.override:
    + Use active theme rather then emerald (although the button color scheme
      is designed for emerald).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 19:49:26 +0200

arctica-greeter (0.99.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0062_Allow-wayland-sessions-to-pass-validation.patch
      and 1001_marco-no-keybindings.patch.
  * debian/source/lintian-overrides:
    + Adjust. One upstream patch disappeared.
  * debian/:
    + Add Debian 12 logo artwork.
  * debian/theme-debian-logo-bare.png:
    + Drop file. Not needed anymore.
  * debian/theme-debian-logo-v09.png:
    + Drop file. End of Debian 9.
  * bin:pkg arctica-greeter-theme-debian-emerald:
    + Prepare files for this bin:pkg being added.
  * debian/source/include-binaries:
    + Update with new and removed binary files.
  * debian/*.gschema.override:
    + Use Noto Sans font everywhere.
  * debian/control:
    + Adjust dependencies (Cabin and Cantarell -> Noto Sans, no Marco window
      manager anymore, clean-up entries, sort entries, prepare for shipping
      emerald theme).
  * debian/arctica-greeter-theme-debian.install:
    + Simplify logo file installation.
  * debian/arctica-greeter.install:
    + Adjust to new background file location.
  * debian/copyright:
    + Update copyright attributions.
  * debian/30_arctica-greeter-theme-debian.gschema.override:
    + Adjust to Debian 12 theme.
  * debian/30_arctica-greeter-theme-debian-*.gschema.override:
    + Rework theme colors.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 21:21:03 +0100

arctica-greeter (0.99.2.0-1) unstable; urgency=medium

  * debian/control:
    + Switch to B-D valgrind-if-vailable.
    + Update D (arctica-greeter) and maked versioned: marco (>= 1.26.0-3~).
      First version of marco in Debian with --no-keybindings cmdline argument.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Add 1001_marco-no-keybindings.patch. Launch marco with keybindings
      disabled. (LP:#1948339).
    + Drop 0001_guest-session-Make-path-to-lightdm-guest-session-exe.patch.
      Applied upstream.
  * debian/arctica-greeter.install:
    + Add new script arctica-greeter-enable-tap-to-click.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 12:36:31 +0100

arctica-greeter (0.99.1.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_guest-session-Make-path-to-lightdm-guest-session-exe.patch.
      Allow providing a fixed path to the lightdm-guest-session executable
      at build time. (Relates to #986818).
  * debian/9*-arctica-greeter-*.conf:
    + Adjust to new LightDM section names. The [SeatDefaults] section is
      deprecated with Debian 11's LightDM version.
  * debian/rules:
    + Enforce a specifc path for the lightdm-guest-session helper executable
      (shipped in lightdm bin:pkg). (Closes: #986818).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:31:41 +0200

arctica-greeter (0.99.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_dont-blur-logo.patch. Don't blur logo. Required for homeworld
      theme.
  * debian/*::
    + Drop stretch and buster themes (meta-packages).
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Bump to DH compat level version 13.
  * debian/theme-debian-logo-v11*.*:
    + Add initial draft of a Debian 11 logo.
  * debian/:
    + Prepare for homeworld theme package, drop stretch/buster theme packages.
  * debian/*.gschema.override:
    + Move theming into themes, arctica-greeter's defaults have changed.
  * debian/arctica-greeter-theme-debian.install:
    + Move all logo images into the default a-g-theme-debian bin:pkg.
  * debian/rules:
    + Drop 'LDFLAGS+=-Wl,--as-needed'.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Feb 2021 11:14:49 +0100

arctica-greeter (0.99.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Dec 2019 22:29:11 +0100

arctica-greeter (0.99.1.3-1) unstable; urgency=medium

  * New upstream (bugfix) release.
    - Fix login box following pointing device on multi-head
      displays. (Closes: #924795).
    - Remove mlockall() call. (Closes: #924785).
    - UI translation updates.
  * debian/30_arctica-greeter-theme-debian-futureprototype.gschema.override:
    + Fix typo in SVG background image path. (Closes: #924789).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 21:29:42 +0100

arctica-greeter (0.99.1.1-2) unstable; urgency=medium

  * debian/control:
    + Typo fix in LONG_DESCRIPTION. Spotted by Thomas Vincent. (Closes: #922174).
  * debian/30_arctica-greeter-theme-debian*.gschema.override:
    + Use desktop-base's background.svg.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 02 Mar 2019 09:24:14 +0100

arctica-greeter (0.99.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add D (arctica-greeter): marco.
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Make arctica-greeter-guest-session an arch:all bin:pkg.
  * debian/rules:
    + Update DH overrides: Introduce dh_missing override, drop
      dh_auto_build override (was doing nothing), drop theme
      logo copying.
  * debian/*:
    + Artwork update for Debian buster. Allow more flexible installation
      of Debian-specific artwork on Debian buster and Debian
      stretch(-backports).
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat notation in control file.
    + Bump to DH compat level version 12.
  * debian/patches:
    + Drop 0001_fix-ftbfs-against-vala-0_42.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/arctica-greeter{,-guest-session}.install:
    + Build installs executable helper scripts to /usr/libexec. Handle that
      appropriately.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Feb 2019 11:51:36 +0100

arctica-greeter (0.99.1.0-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Add 0001_fix-ftbfs-against-vala-0_42.patch. Fix FTBFS against Vala 0.42.
      (Closes: #907933).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Sep 2018 07:36:05 +0200

arctica-greeter (0.99.1.0-2) unstable; urgency=high

  * debian/changelog:
    + Set urgency to high to facilitate a soon migration of
      stuck-in-unstable ayatana-ido to testing.
  * debian/control:
    + Switch to renamed B-D libayatana-ido3-dev. (Closes: #906821).
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 18:05:44 +0200

arctica-greeter (0.99.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been moved to salsa.debian.org.
    + Drop from B-D: libgnome-desktop-3-dev. Not needed.
    + Add B-Ds: libpam-x2go-dev, libpam-freerdp2-dev.
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Comply with DEP-12 upstream metadata enhancement proposal.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jun 2018 21:19:00 +0200

arctica-greeter (0.99.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/arctica-greeter.install:
    + New file arctica-greeter-check-hidpi.
  * debian/control:
    + Let's recommend the new FreeRDPv2 version of
      lightdm-remote-session-freerdp(2).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Mar 2018 14:51:46 +0100

arctica-greeter (0.99.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #891640).
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/copyright:
    + Use secure URI for referencing copyright format.
  * debian/source/include-binaries:
    + Add file. Let's tolerate the PNG files for the debian theme.
      This file may have been part of previous upload, but was
      missing in the packaging Git.
  * debian/upstream/signing-key.asc:
      Add file. This file may have been part of previous upload, but was
      missing in the packaging Git.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 10:34:08 +0100

arctica-greeter (0.99.0.2-2) unstable; urgency=medium

  * debian/arctica-greeter-guest-session.install:
    + Add EOL at EOF.
  * debian/arctica-greeter-theme-debian.post*:
    + Drop postinst/postrm script. For glib-compile-schemas we have a trigger
      in libglib2.0-bin since 2010. (Closes: #886922).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Jan 2018 22:25:54 +0100

arctica-greeter (0.99.0.2-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #879650).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Nov 2017 18:43:25 +0100
